Subject: Re: bug#4782: 23.1; (win32) emacs doesn't receive AltGr from synergy

From: Alan Third <[email-masked]>
Date: Tue, 05 Apr 2016 21:35:53 +0100

fperrin <[email-masked]> writes:

> Hello,
>
> At work I have to computers, a workstation running Scientific GNU/Linux
> and a Windows XP laptop. For my own comfort, I use synergy to share my
> workstation's keyboard between the two computers. The synergy server runs
> on my workstation, the client on the laptop.
<snip>
> When I use emacs on the laptop, with my workstation keyboard shared with
> synergy, when I type AltGr-_ I get the message "C-M-_ is undefined". When
> using another application (notepad.exe or Firefox), when I type AltGr-_, I
> get (as expected) a \ character. If I use my laptop's keyboard with emacs
> or another application, when I type AltGr-_, I get (as expected) a \
> character.
> 
> AltGr works as expected (even through synergy) with other applications,
> that is why I report this as an emacs bug.

Hi, sorry it's taken so long for someone to get back to you about this.
Unfortunately we're not able to test Emacs with Synergy as it's a
paid-for product.

Are you still experiencing this behaviour?
-- 
Alan Third